VTK: vtkImageCroppingRegionsWidget Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Protected Types | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
vtkImageCroppingRegionsWidget Class Reference

widget for cropping an image More...

`#include <vtkImageCroppingRegionsWidget.h>`

Inheritance diagram for vtkImageCroppingRegionsWidget:
[legend]
Collaboration diagram for vtkImageCroppingRegionsWidget:
[legend]

## Public Types
enum | { SLICE_ORIENTATION_YZ = 0 , SLICE_ORIENTATION_XZ = 1 , SLICE_ORIENTATION_XY = 2 }
| Set/get the slice orientation. More...
enum | WidgetEventIds { CroppingPlanesPositionChangedEvent = 10050 }
| Events invoked by this widget. More...
Public Types inherited from vtk3DWidget
typedef vtkInteractorObserver | Superclass
Public Types inherited from vtkInteractorObserver
typedef vtkObject | Superclass

## Public Member Functions
void | SetEnabled (int enabling) override
| Enable/disable the widget. More...
virtual int | GetSliceOrientation ()
virtual void | SetSliceOrientation (int orientation)
virtual void | SetSliceOrientationToXY ()
virtual void | SetSliceOrientationToYZ ()
virtual void | SetSliceOrientationToXZ ()
void | PlaceWidget (double bounds[6]) override
| Place/Adjust widget within bounds. More...
virtual void | PlaceWidget (double bounds[6])=0
| Place/Adjust widget within bounds. More...
virtual void | PlaceWidget ()
| Place/Adjust widget within bounds. More...
virtual void | PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax)
| Place/Adjust widget within bounds. More...
virtual double * | GetPlanePositions ()
| Set/Get the plane positions that represent the cropped region. More...
virtual void | GetPlanePositions (double &, double &, double &, double &, double &, double &)
| Set/Get the plane positions that represent the cropped region. More...
virtual void | GetPlanePositions (double[6])
| Set/Get the plane positions that represent the cropped region. More...
virtual void | SetPlanePositions (double pos[6])
| Set/Get the plane positions that represent the cropped region. More...
virtual void | SetPlanePositions (float pos[6])
| Set/Get the plane positions that represent the cropped region. More...
virtual void | SetPlanePositions (double xMin, double xMax, double yMin, double yMax, double zMin, double zMax)
| Set/Get the plane positions that represent the cropped region. More...
virtual void | SetCroppingRegionFlags (int flags)
| Set/Get the cropping region flags. More...
virtual int | GetCroppingRegionFlags ()
| Set/Get the cropping region flags. More...
virtual void | SetSlice (int num)
| Set/Get the slice number. More...
virtual int | GetSlice ()
| Set/Get the slice number. More...
virtual void | SetLine1Color (double r, double g, double b)
| Set/Get line 1 color. More...
virtual void | SetLine1Color (double rgb[3])
| Set/Get line 1 color. More...
virtual double * | GetLine1Color ()
| Set/Get line 1 color. More...
virtual void | GetLine1Color (double rgb[3])
| Set/Get line 1 color. More...
virtual void | SetLine2Color (double r, double g, double b)
| Set/Get line 2 color. More...
virtual void | SetLine2Color (double rgb[3])
| Set/Get line 2 color. More...
virtual double * | GetLine2Color ()
| Set/Get line 2 color. More...
virtual void | GetLine2Color (double rgb[3])
| Set/Get line 2 color. More...
virtual void | SetLine3Color (double r, double g, double b)
| Set/Get line 3 color. More...
virtual void | SetLine3Color (double rgb[3])
| Set/Get line 3 color. More...
virtual double * | GetLine3Color ()
| Set/Get line 3 color. More...
virtual void | GetLine3Color (double rgb[3])
| Set/Get line 3 color. More...
virtual void | SetLine4Color (double r, double g, double b)
| Set/Get line 4 color. More...
virtual void | SetLine4Color (double rgb[3])
| Set/Get line 4 color. More...
virtual double * | GetLine4Color ()
| Set/Get line 4 color. More...
virtual void | GetLine4Color (double rgb[3])
| Set/Get line 4 color. More...
virtual void | SetVolumeMapper (vtkVolumeMapper *mapper)
| Set/Get the input volume mapper Update the widget according to its mapper. More...
virtual vtkVolumeMapper * | GetVolumeMapper ()
| Set/Get the input volume mapper Update the widget according to its mapper. More...
virtual void | UpdateAccordingToInput ()
| Set/Get the input volume mapper Update the widget according to its mapper. More...
void | MoveHorizontalLine ()
| Callbacks for user interaction. More...
void | MoveVerticalLine ()
| Callbacks for user interaction. More...
void | MoveIntersectingLines ()
| Callbacks for user interaction. More...
void | UpdateCursorIcon ()
| Callbacks for user interaction. More...
void | OnButtonPress ()
| Callbacks for user interaction. More...
void | OnButtonRelease ()
| Callbacks for user interaction. More...
void | OnMouseMove ()
| Callbacks for user interaction. More...
Public Member Functions inherited from vtk3DWidget
vtk3DWidget * | NewInstance () const
virtual void | PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax)
| This method is used to initially place the widget. More...
virtual void | SetProp3D (vtkProp3D *)
| Specify a vtkProp3D around which to place the widget. More...
virtual vtkProp3D * | GetProp3D ()
| Specify a vtkProp3D around which to place the widget. More...
virtual void | SetInputData (vtkDataSet *)
| Specify the input dataset. More...
virtual void | SetInputConnection (vtkAlgorithmOutput *)
| Specify the input dataset. More...
virtual vtkDataSet * | GetInput ()
| Specify the input dataset. More...
virtual void | SetPlaceFactor (double)
| Set/Get a factor representing the scaling of the widget upon placement (via the PlaceWidget() method). More...
virtual double | GetPlaceFactor ()
| Set/Get a factor representing the scaling of the widget upon placement (via the PlaceWidget() method). More...
virtual void | SetHandleSize (double)
| Set/Get the factor that controls the size of the handles that appear as part of the widget. More...
virtual double | GetHandleSize ()
| Set/Get the factor that controls the size of the handles that appear as part of the widget. More...
Public Member Functions inherited from vtkInteractorObserver
vtkInteractorObserver * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
int | GetEnabled ()
void | EnabledOn ()
void | EnabledOff ()
void | On ()
void | Off ()
virtual void | OnChar ()
| Sets up the keypress-i event. More...
virtual void | SetInteractor (vtkRenderWindowInteractor *iren)
| This method is used to associate the widget with the render window interactor. More...
virtual vtkRenderWindowInteractor * | GetInteractor ()
| This method is used to associate the widget with the render window interactor. More...
virtual void | SetPriority (float)
| Set/Get the priority at which events are processed. More...
virtual float | GetPriority ()
| Set/Get the priority at which events are processed. More...
virtual void | PickingManagedOn ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | PickingManagedOff ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | SetPickingManaged (bool managed)
| Enable/Disable the use of a manager to process the picking. More...
virtual bool | GetPickingManaged ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | SetKeyPressActivation (vtkTypeBool)
| Enable/Disable of the use of a keypress to turn on and off the interactor observer. More...
virtual vtkTypeBool | GetKeyPressActivation ()
| Enable/Disable of the use of a keypress to turn on and off the interactor observer. More...
virtual void | KeyPressActivationOn ()
| Enable/Disable of the use of a keypress to turn on and off the interactor observer. More...
virtual void | KeyPressActivationOff ()
| Enable/Disable of the use of a keypress to turn on and off the interactor observer. More...
virtual void | SetKeyPressActivationValue (char)
| Specify which key press value to use to activate the interactor observer (if key press activation is enabled). More...
virtual char | GetKeyPressActivationValue ()
| Specify which key press value to use to activate the interactor observer (if key press activation is enabled). More...
virtual vtkRenderer * | GetDefaultRenderer ()
| Set/Get the default renderer to use when activating the interactor observer. More...
virtual void | SetDefaultRenderer (vtkRenderer *)
| Set/Get the default renderer to use when activating the interactor observer. More...
virtual vtkRenderer * | GetCurrentRenderer ()
| Set/Get the current renderer. More...
virtual void | SetCurrentRenderer (vtkRenderer *)
| Set/Get the current renderer. More...
void | GrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods enable an interactor observer to exclusively grab all events invoked by its associated vtkRenderWindowInteractor. More...
void | ReleaseFocus ()
| These methods enable an interactor observer to exclusively grab all events invoked by its associated vtkRenderWindowInteractor. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Protected Types
enum | WidgetStates { NoLine = 0 , MovingH1AndV1 , MovingH2AndV1 , MovingH1AndV2 , MovingH2AndV2 , MovingV1 , MovingV2 , MovingH1 , MovingH2 }

## Protected Member Functions
| vtkImageCroppingRegionsWidget ()
| ~vtkImageCroppingRegionsWidget () override
double | GetSlicePosition ()
void | SetMouseCursor (int state)
int | ComputeWorldCoordinate (int x, int y, double *coord)
void | UpdateOpacity ()
void | UpdateGeometry ()
void | ConstrainPlanePositions (double positions[6])
Protected Member Functions inherited from vtk3DWidget
| vtk3DWidget ()
| ~vtk3DWidget () override
void | AdjustBounds (double bounds[6], double newBounds[6], double center[3])
double | SizeHandles (double factor)
virtual void | SizeHandles ()
void | UpdateInput ()
Protected Member Functions inherited from vtkInteractorObserver
| vtkInteractorObserver ()
| ~vtkInteractorObserver () override
virtual void | RegisterPickers ()
| Register internal Pickers in the Picking Manager. More...
void | UnRegisterPickers ()
| Unregister internal pickers from the Picking Manager. More...
vtkPickingManager * | GetPickingManager ()
| Return the picking manager associated on the context on which the observer currently belong. More...
vtkAssemblyPath * | GetAssemblyPath (double X, double Y, double Z, vtkAbstractPropPicker *picker)
| Proceed to a pick, whether through the PickingManager if the picking is managed or directly using the picker, and return the assembly path. More...
int | RequestCursorShape (int requestedShape)
virtual void | StartInteraction ()
| Utility routines used to start and end interaction. More...
virtual void | EndInteraction ()
| Utility routines used to start and end interaction. More...
void | ComputeDisplayToWorld (double x, double y, double z, double worldPt[4])
| Helper method for subclasses. More...
void | ComputeWorldToDisplay (double x, double y, double z, double displayPt[3])
| Helper method for subclasses. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Static Protected Member Functions
static void | ProcessEvents (vtkObject *object, unsigned long event, void *clientdata, void *calldata)
Static Protected Member Functions inherited from vtkInteractorObserver
static void | ProcessEvents (vtkObject *object, unsigned long event, void *clientdata, void *calldata)
| Handles the char widget activation event. More...
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Protected Attributes
vtkVolumeMapper * | VolumeMapper
vtkLineSource * | LineSources [4]
vtkActor2D * | LineActors [4]
vtkPolyData * | RegionPolyData [9]
vtkActor2D * | RegionActors [9]
double | PlanePositions [6]
int | SliceOrientation
int | Slice
int | CroppingRegionFlags
int | MouseCursorState
int | Moving
Protected Attributes inherited from vtk3DWidget
vtkProp3D * | Prop3D
vtk3DWidgetConnection * | ConnectionHolder
double | PlaceFactor
int | Placed
double | InitialBounds [6]
double | InitialLength
double | HandleSize
int | ValidPick
double | LastPickPosition [3]
Protected Attributes inherited from vtkInteractorObserver
int | Enabled
vtkCallbackCommand * | EventCallbackCommand
vtkCallbackCommand * | KeyPressCallbackCommand
float | Priority
bool | PickingManaged
vtkTypeBool | KeyPressActivation
char | KeyPressActivationValue
vtkRenderWindowInteractor * | Interactor
vtkRenderer * | CurrentRenderer
vtkRenderer * | DefaultRenderer
unsigned long | CharObserverTag
unsigned long | DeleteObserverTag
vtkObserverMediator * | ObserverMediator
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers
typedef vtk3DWidget | Superclass
| Standard VTK methods. More...
static vtkImageCroppingRegionsWidget * | New ()
| Standard VTK methods. More...
static vtkTypeBool | IsTypeOf (const char *type)
| Standard VTK methods. More...
static vtkImageCroppingRegionsWidget * | SafeDownCast (vtkObjectBase *o)
| Standard VTK methods. More...
virtual vtkTypeBool | IsA (const char *type)
| Standard VTK methods. More...
vtkImageCroppingRegionsWidget * | NewInstance () const
| Standard VTK methods. More...
void | PrintSelf (ostream &os, vtkIndent indent) override
| Standard VTK methods. More...
virtual vtkObjectBase * | NewInstanceInternal () const
| Standard VTK methods. More...

## Additional Inherited Members
Static Public Member Functions inherited from vtk3DWidget
static vtkTypeBool | IsTypeOf (const char *type)
static vtk3DWidget * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkInteractorObserver
static vtkTypeBool | IsTypeOf (const char *type)
static vtkInteractorObserver * | SafeDownCast (vtkObjectBase *o)
static void | ComputeDisplayToWorld (vtkRenderer *ren, double x, double y, double z, double worldPt[4])
| Convenience methods for outside classes. More...
static void | ComputeWorldToDisplay (vtkRenderer *ren, double x, double y, double z, double displayPt[3])
| Convenience methods for outside classes. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Detailed Description

widget for cropping an image

This widget displays a set of axis aligned lines that can be interactively manipulated to crop a volume. The region to be cropped away is displayed in a different highlight. Much like the vtkVolumeMapper, this widget supports 27 possible configurations of cropping planes. (See CroppingRegionFlags). If a volume mapper is set, the cropping planes are directly propagated to the volume mapper. The widget invokes a CroppingPlanesPositionChangedEvent when the position of any of the cropping planes is changed. The widget also invokes an InteractionEvent in response to user interaction.

Events:
  vtkCommand::DisableEvent vtkCommand::EnableEvent vtkCommand::EndInteractionEvent vtkCommand::InteractionEvent vtkCommand::StartInteractionEvent

Definition at line 34 of file vtkImageCroppingRegionsWidget.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtk3DWidget vtkImageCroppingRegionsWidget::Superclass

Standard VTK methods.

Definition at line 42 of file vtkImageCroppingRegionsWidget.h.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Set/get the slice orientation.

Enumerator
SLICE_ORIENTATION_YZ |
SLICE_ORIENTATION_XZ |
SLICE_ORIENTATION_XY |

Definition at line 88 of file vtkImageCroppingRegionsWidget.h.

## ◆ WidgetEventIds

enum vtkImageCroppingRegionsWidget::WidgetEventIds

Events invoked by this widget.

Enumerator
CroppingPlanesPositionChangedEvent |

Definition at line 184 of file vtkImageCroppingRegionsWidget.h.

## ◆ WidgetStates

enum vtkImageCroppingRegionsWidget::WidgetStates
| protected

Enumerator
NoLine |
MovingH1AndV1 |
MovingH2AndV1 |
MovingH1AndV2 |
MovingH2AndV2 |
MovingV1 |
MovingV2 |
MovingH1 |
MovingH2 |

Definition at line 219 of file vtkImageCroppingRegionsWidget.h.

## Constructor & Destructor Documentation

## ◆ vtkImageCroppingRegionsWidget()

vtkImageCroppingRegionsWidget::vtkImageCroppingRegionsWidget | ( |  | ) |
| protected

## ◆ ~vtkImageCroppingRegionsWidget()

vtkImageCroppingRegionsWidget::~vtkImageCroppingRegionsWidget | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkImageCroppingRegionsWidget* vtkImageCroppingRegionsWidget::New | ( |  | ) |
| static

Standard VTK methods.

## ◆ IsTypeOf()

static vtkTypeBool vtkImageCroppingRegionsWidget::IsTypeOf | ( | const char * | type | ) |
| static

Standard VTK methods.

## ◆ IsA()

virtual vtkTypeBool vtkImageCroppingRegionsWidget::IsA | ( | const char * | type | ) |
| virtual

Standard VTK methods.

Reimplemented from vtk3DWidget.

## ◆ SafeDownCast()

static vtkImageCroppingRegionsWidget* vtkImageCroppingRegionsWidget::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

Standard VTK methods.

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkImageCroppingRegionsWidget::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Standard VTK methods.

Reimplemented from vtk3DWidget.

## ◆ NewInstance()

vtkImageCroppingRegionsWidget* vtkImageCroppingRegionsWidget::NewInstance | ( |  | ) | const

Standard VTK methods.

## ◆ PrintSelf()

void vtkImageCroppingRegionsWidget::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Standard VTK methods.

Reimplemented from vtk3DWidget.

## ◆ PlaceWidget() [1/4]

void vtkImageCroppingRegionsWidget::PlaceWidget | ( | double | bounds[6] | ) |
| overridevirtual

Place/Adjust widget within bounds.

Implements vtk3DWidget.

## ◆ SetEnabled()

void vtkImageCroppingRegionsWidget::SetEnabled | ( | int | enabling | ) |
| overridevirtual

Enable/disable the widget.

Reimplemented from vtkInteractorObserver.

## ◆ GetPlanePositions() [1/3]

virtual double* vtkImageCroppingRegionsWidget::GetPlanePositions | ( |  | ) |
| virtual

Set/Get the plane positions that represent the cropped region.

## ◆ GetPlanePositions() [2/3]

virtual void vtkImageCroppingRegionsWidget::GetPlanePositions | ( | double & | ,
|  | double & | ,
|  | double & | ,
|  | double & | ,
|  | double & | ,
|  | double & |
| ) |  |
| virtual

Set/Get the plane positions that represent the cropped region.

## ◆ GetPlanePositions() [3/3]

virtual void vtkImageCroppingRegionsWidget::GetPlanePositions | ( | double | [6] | ) |
| virtual

Set/Get the plane positions that represent the cropped region.

## ◆ SetPlanePositions() [1/3]

virtual void vtkImageCroppingRegionsWidget::SetPlanePositions | ( | double | pos[6] | ) |
| inlinevirtual

Set/Get the plane positions that represent the cropped region.

Definition at line 64 of file vtkImageCroppingRegionsWidget.h.

## ◆ SetPlanePositions() [2/3]

virtual void vtkImageCroppingRegionsWidget::SetPlanePositions | ( | float | pos[6] | ) |
| inlinevirtual

Set/Get the plane positions that represent the cropped region.

Definition at line 68 of file vtkImageCroppingRegionsWidget.h.

## ◆ SetPlanePositions() [3/3]

virtual void vtkImageCroppingRegionsWidget::SetPlanePositions | ( | double | xMin,
|  | double | xMax,
|  | double | yMin,
|  | double | yMax,
|  | double | zMin,
|  | double | zMax
| ) |  |
| virtual

Set/Get the plane positions that represent the cropped region.

## ◆ SetCroppingRegionFlags()

virtual void vtkImageCroppingRegionsWidget::SetCroppingRegionFlags | ( | int | flags | ) |
| virtual

Set/Get the cropping region flags.

## ◆ GetCroppingRegionFlags()

virtual int vtkImageCroppingRegionsWidget::GetCroppingRegionFlags | ( |  | ) |
| virtual

Set/Get the cropping region flags.

## ◆ GetSliceOrientation()

virtual int vtkImageCroppingRegionsWidget::GetSliceOrientation | ( |  | ) |
| virtual

## ◆ SetSliceOrientation()

virtual void vtkImageCroppingRegionsWidget::SetSliceOrientation | ( | int | orientation | ) |
| virtual

## ◆ SetSliceOrientationToXY()

virtual void vtkImageCroppingRegionsWidget::SetSliceOrientationToXY | ( |  | ) |
| inlinevirtual

Definition at line 97 of file vtkImageCroppingRegionsWidget.h.

## ◆ SetSliceOrientationToYZ()

virtual void vtkImageCroppingRegionsWidget::SetSliceOrientationToYZ | ( |  | ) |
| inlinevirtual

Definition at line 101 of file vtkImageCroppingRegionsWidget.h.

## ◆ SetSliceOrientationToXZ()

virtual void vtkImageCroppingRegionsWidget::SetSliceOrientationToXZ | ( |  | ) |
| inlinevirtual

Definition at line 105 of file vtkImageCroppingRegionsWidget.h.

## ◆ SetSlice()

virtual void vtkImageCroppingRegionsWidget::SetSlice | ( | int | num | ) |
| virtual

Set/Get the slice number.

## ◆ GetSlice()

virtual int vtkImageCroppingRegionsWidget::GetSlice | ( |  | ) |
| virtual

Set/Get the slice number.

## ◆ SetLine1Color() [1/2]

virtual void vtkImageCroppingRegionsWidget::SetLine1Color | ( | double | r,
|  | double | g,
|  | double | b
| ) |  |
| virtual

Set/Get line 1 color.

## ◆ SetLine1Color() [2/2]

virtual void vtkImageCroppingRegionsWidget::SetLine1Color | ( | double | rgb[3] | ) |
| inlinevirtual

Set/Get line 1 color.

Definition at line 123 of file vtkImageCroppingRegionsWidget.h.

## ◆ GetLine1Color() [1/2]

virtual double* vtkImageCroppingRegionsWidget::GetLine1Color | ( |  | ) |
| virtual

Set/Get line 1 color.

## ◆ GetLine1Color() [2/2]

virtual void vtkImageCroppingRegionsWidget::GetLine1Color | ( | double | rgb[3] | ) |
| virtual

Set/Get line 1 color.

## ◆ SetLine2Color() [1/2]

virtual void vtkImageCroppingRegionsWidget::SetLine2Color | ( | double | r,
|  | double | g,
|  | double | b
| ) |  |
| virtual

Set/Get line 2 color.

## ◆ SetLine2Color() [2/2]

virtual void vtkImageCroppingRegionsWidget::SetLine2Color | ( | double | rgb[3] | ) |
| inlinevirtual

Set/Get line 2 color.

Definition at line 133 of file vtkImageCroppingRegionsWidget.h.

## ◆ GetLine2Color() [1/2]

virtual double* vtkImageCroppingRegionsWidget::GetLine2Color | ( |  | ) |
| virtual

Set/Get line 2 color.

## ◆ GetLine2Color() [2/2]

virtual void vtkImageCroppingRegionsWidget::GetLine2Color | ( | double | rgb[3] | ) |
| virtual

Set/Get line 2 color.

## ◆ SetLine3Color() [1/2]

virtual void vtkImageCroppingRegionsWidget::SetLine3Color | ( | double | r,
|  | double | g,
|  | double | b
| ) |  |
| virtual

Set/Get line 3 color.

## ◆ SetLine3Color() [2/2]

virtual void vtkImageCroppingRegionsWidget::SetLine3Color | ( | double | rgb[3] | ) |
| inlinevirtual

Set/Get line 3 color.

Definition at line 143 of file vtkImageCroppingRegionsWidget.h.

## ◆ GetLine3Color() [1/2]

virtual double* vtkImageCroppingRegionsWidget::GetLine3Color | ( |  | ) |
| virtual

Set/Get line 3 color.

## ◆ GetLine3Color() [2/2]

virtual void vtkImageCroppingRegionsWidget::GetLine3Color | ( | double | rgb[3] | ) |
| virtual

Set/Get line 3 color.

## ◆ SetLine4Color() [1/2]

virtual void vtkImageCroppingRegionsWidget::SetLine4Color | ( | double | r,
|  | double | g,
|  | double | b
| ) |  |
| virtual

Set/Get line 4 color.

## ◆ SetLine4Color() [2/2]

virtual void vtkImageCroppingRegionsWidget::SetLine4Color | ( | double | rgb[3] | ) |
| inlinevirtual

Set/Get line 4 color.

Definition at line 153 of file vtkImageCroppingRegionsWidget.h.

## ◆ GetLine4Color() [1/2]

virtual double* vtkImageCroppingRegionsWidget::GetLine4Color | ( |  | ) |
| virtual

Set/Get line 4 color.

## ◆ GetLine4Color() [2/2]

virtual void vtkImageCroppingRegionsWidget::GetLine4Color | ( | double | rgb[3] | ) |
| virtual

Set/Get line 4 color.

## ◆ SetVolumeMapper()

virtual void vtkImageCroppingRegionsWidget::SetVolumeMapper | ( | vtkVolumeMapper * | mapper | ) |
| virtual

Set/Get the input volume mapper Update the widget according to its mapper.

## ◆ GetVolumeMapper()

virtual vtkVolumeMapper* vtkImageCroppingRegionsWidget::GetVolumeMapper | ( |  | ) |
| virtual

Set/Get the input volume mapper Update the widget according to its mapper.

## ◆ UpdateAccordingToInput()

virtual void vtkImageCroppingRegionsWidget::UpdateAccordingToInput | ( |  | ) |
| virtual

Set/Get the input volume mapper Update the widget according to its mapper.

## ◆ MoveHorizontalLine()

void vtkImageCroppingRegionsWidget::MoveHorizontalLine | ( |  | ) |

Callbacks for user interaction.

## ◆ MoveVerticalLine()

void vtkImageCroppingRegionsWidget::MoveVerticalLine | ( |  | ) |

Callbacks for user interaction.

## ◆ MoveIntersectingLines()

void vtkImageCroppingRegionsWidget::MoveIntersectingLines | ( |  | ) |

Callbacks for user interaction.

## ◆ UpdateCursorIcon()

void vtkImageCroppingRegionsWidget::UpdateCursorIcon | ( |  | ) |

Callbacks for user interaction.

## ◆ OnButtonPress()

void vtkImageCroppingRegionsWidget::OnButtonPress | ( |  | ) |

Callbacks for user interaction.

## ◆ OnButtonRelease()

void vtkImageCroppingRegionsWidget::OnButtonRelease | ( |  | ) |

Callbacks for user interaction.

## ◆ OnMouseMove()

void vtkImageCroppingRegionsWidget::OnMouseMove | ( |  | ) |

Callbacks for user interaction.

## ◆ GetSlicePosition()

double vtkImageCroppingRegionsWidget::GetSlicePosition | ( |  | ) |
| protected

## ◆ ProcessEvents()

static void vtkImageCroppingRegionsWidget::ProcessEvents | ( | vtkObject * | object,
|  | unsigned long | event,
|  | void * | clientdata,
|  | void * | calldata
| ) |  |
| staticprotected

## ◆ SetMouseCursor()

void vtkImageCroppingRegionsWidget::SetMouseCursor | ( | int | state | ) |
| protected

## ◆ ComputeWorldCoordinate()

int vtkImageCroppingRegionsWidget::ComputeWorldCoordinate | ( | int | x,
|  | int | y,
|  | double * | coord
| ) |  |
| protected

## ◆ UpdateOpacity()

void vtkImageCroppingRegionsWidget::UpdateOpacity | ( |  | ) |
| protected

## ◆ UpdateGeometry()

void vtkImageCroppingRegionsWidget::UpdateGeometry | ( |  | ) |
| protected

## ◆ ConstrainPlanePositions()

void vtkImageCroppingRegionsWidget::ConstrainPlanePositions | ( | double | positions[6] | ) |
| protected

## ◆ PlaceWidget() [2/4]

virtual void vtk3DWidget::PlaceWidget
| virtual

Place/Adjust widget within bounds.

Reimplemented from vtk3DWidget.

## ◆ PlaceWidget() [3/4]

virtual void vtk3DWidget::PlaceWidget
| virtual

Place/Adjust widget within bounds.

Reimplemented from vtk3DWidget.

## ◆ PlaceWidget() [4/4]

virtual void vtk3DWidget::PlaceWidget
| virtual

Place/Adjust widget within bounds.

Reimplemented from vtk3DWidget.

## Member Data Documentation

## ◆ VolumeMapper

vtkVolumeMapper* vtkImageCroppingRegionsWidget::VolumeMapper
| protected

Definition at line 193 of file vtkImageCroppingRegionsWidget.h.

## ◆ LineSources

vtkLineSource* vtkImageCroppingRegionsWidget::LineSources[4]
| protected

Definition at line 195 of file vtkImageCroppingRegionsWidget.h.

## ◆ LineActors

vtkActor2D* vtkImageCroppingRegionsWidget::LineActors[4]
| protected

Definition at line 196 of file vtkImageCroppingRegionsWidget.h.

## ◆ RegionPolyData

vtkPolyData* vtkImageCroppingRegionsWidget::RegionPolyData[9]
| protected

Definition at line 197 of file vtkImageCroppingRegionsWidget.h.

## ◆ RegionActors

vtkActor2D* vtkImageCroppingRegionsWidget::RegionActors[9]
| protected

Definition at line 198 of file vtkImageCroppingRegionsWidget.h.

## ◆ PlanePositions

double vtkImageCroppingRegionsWidget::PlanePositions[6]
| protected

Definition at line 200 of file vtkImageCroppingRegionsWidget.h.

## ◆ SliceOrientation

int vtkImageCroppingRegionsWidget::SliceOrientation
| protected

Definition at line 202 of file vtkImageCroppingRegionsWidget.h.

## ◆ Slice

int vtkImageCroppingRegionsWidget::Slice
| protected

Definition at line 203 of file vtkImageCroppingRegionsWidget.h.

## ◆ CroppingRegionFlags

int vtkImageCroppingRegionsWidget::CroppingRegionFlags
| protected

Definition at line 207 of file vtkImageCroppingRegionsWidget.h.

## ◆ MouseCursorState

int vtkImageCroppingRegionsWidget::MouseCursorState
| protected

Definition at line 209 of file vtkImageCroppingRegionsWidget.h.

## ◆ Moving

int vtkImageCroppingRegionsWidget::Moving
| protected

Definition at line 210 of file vtkImageCroppingRegionsWidget.h.

The documentation for this class was generated from the following file:

- Interaction/Widgets/vtkImageCroppingRegionsWidget.h